package gui.utils;

import gui.Localisation;
import org.jibble.epsgraphics.EpsGraphics2D;


/**
 * Trida pro vyber filtru ve FileDialogu.
 */
public class BwEpsFileFilter extends EpsFileFilter{
    
    /**
     * Popisek, ktery se zobrazi ve vyberovem listu ve
     * FileDialogu.
     * @return popisek.
     */
    public String getDescription() {
        return Localisation.getString("BwEPS");
    }
    
     /**
      * Barevny mod pro pouziti v knihovne epsgraphics.
      * @return konstanta barevneho modu.
      */
     public int getColorMode() {
          return  EpsGraphics2D.BLACK_AND_WHITE;
    }
}
