/*
 * CharInfoCountComp.java
 *
 * Created on 8. jen 2005, 19:12
 *
 */

package gui.utils;
import gui.parts.CharInfo;
import java.util.Comparator;


/**
 * Porovnavani objektu CharInfo podle cetnosti a 
 * podle position.
 * @author Ondrej Hanousek
 */
public class CharInfoCountPosComparator implements Comparator<CharInfo> {
        
    /**
     * Porovnani dvou objektu.
     * @param o1 prvni CharInfo
     * @param o2 druhy CharInfo
     * @return porovnani podle poctu a pozice
     */
    public int compare(CharInfo o1, CharInfo o2) {
        int ret=o1.getCount()-o2.getCount();
         if (ret==0) {
            ret=o1.getPosition()-o2.getPosition();
         }
        return ret;
    }
    
}
