/*
 * EpsFileFilter.java
 *
 * Created on 9. jen 2005, 13:12
 *
 */

package gui.utils;

import java.io.File;
import javax.swing.filechooser.FileFilter;

/**
 * Trida pro zajisteni prijeti vybrani .eps souboru.
 * @author Ondrej Hanousek
 */
public abstract class EpsFileFilter extends FileFilter{

    /**
     * prijem soubrou .eps
     * @param file soubor k prijeti
     * @return true pokud soubor konci .eps
     */
    public boolean accept(File file) {
              if ( file != null ) {
            if (file.isDirectory()) 
            {
                return true;
            }
            else {
            return file.getName().endsWith( ".eps" );    
            }
            
        } else {
            return false;
        }
    }

    /**
     * Vybrany barevny mod ve fileDialogu.
     * @return vybrany mod
     */
    public abstract int getColorMode();
    
}
