/*
 * ByteInfoCountComparator.java
 *
 * Created on 1. jen 2005, 14:11
 *
 */

package streams.utils;

import java.util.Comparator;


/**
   * Trida pro porovnavani ByteInfo podle pocitadla.
   * @author Ondrej Hanousek
   */
  public class ByteInfoCountComparator implements  Comparator<ByteInfo> {
        
        /**
         * Porovna dve byteInfo podle pocitadla.
         * @param b1 prvni ByteInfo
         * @param b2 druhe ByteInfo
         * @return 0 pro stejna, jinak pro sestupne razeni.
         */
        public int compare(ByteInfo b1,ByteInfo b2) {
            if (b1.getCount()>b2.getCount())  return 1;
            if (b2.getCount()<b1.getCount())  return -1; 
            else  return 0;
        }
    }

    