/*
 * ByteInfoDataComparator.java
 *
 * Created on 1. jen 2005, 14:13
 *
 */

package streams.utils;

import java.util.Comparator;


/**
 * Trida pro porovnani dat dvou objektu ByteInfo.
 * @author Ondrej Hanousek
 */
public class ByteInfoDataComparator implements  Comparator<ByteInfo> {
        
        /**
         * Porovnani dvou ByteInfo podle dat.
         * @param b1 prvni ByteInfo
         * @param b2 druhe ByteInfo
         * @return 0 pro stejna, jinak pro vzestupne razeni
         */
        public int compare(ByteInfo b1,ByteInfo b2) {
            
            return (b1.getData() & 0xff)-(b2.getData() & 0xff);
            
        }
    }
