/*
 * SizeChanged.java
 *
 * Created on 27. jen 2005, 12:33
 *
 */

package gui.parts;

import java.util.EventListener;

/**
 * Rozhrani pro naslouchani udalosti o zmene velikosti graficke komponenty.
 * @author Ondrej Hanousek
 */
public interface SizeChangeListener extends EventListener{
    /**
     * Reakce na udalost zmena velikosti.
     * @param evt udalost
     */
    public void sizeChanged(SizeChange evt);
}
