/*
 * CharInfoCountComp.java
 *
 * Created on 8. jen 2005, 19:12
 */

package gui.utils;

import gui.parts.CharInfo;
import java.util.Comparator;

/**
 * Trida urcena k porovnani objektu tridy CharInfo
 * @author Ondrej Hanousek
 */
public class CharInfoCountComparator implements Comparator<CharInfo> {
    
    /**
     * Vytvari tridu
     */
    public CharInfoCountComparator() {
        
    }
    
    /**
     * Porovnavani objektu CharInfo podle cetnosti.
     * @param o1 objekt 1
     * 
     * @param o2 objekt 2
     * 
     * @return porovnani jak je obvykle.
     */
    public int compare(CharInfo o1, CharInfo o2) {
        return o1.getCount()-o2.getCount();
    }
    
}
