/*
 * ColorCycler.java
 *
 * Created on 18. jen 2005, 10:49
 *
 */

package gui.utils;

import java.awt.Color;

/**
 * Generator predpripravenych barev v cyklu.
 * @author Ondrej Hanousek
 */
public class ColorCycler {
    private static Color[] colors={
       new Color(40,62,237),
               new Color(194,62,200),
               new Color(240,62,41),
               new Color(125,34,220),
               new Color(90,190,220),
               new Color(5,162,0)
                
    };
    private int colNum=10;
    private int i;
    /**
     * Vytvori generator barev.
     */
    public ColorCycler() {
       /* colors=new Color[colNum];
        int min=120;
        int max=240;
        int r=max;
        int g=min;
        int b=min;
        for (int j=0;j<colNum;j++){
            colors[j]=new Color(r,g,b);
            
        }*/
        i=0;
    }
    
    /**
     * Metoda pro ziskani dalsi barvy.
     * @return dalsi barva
     */
    public Color getNextColor(){
        i++;
        i=i%colors.length;
        return colors[i];
    }
    /**
     * Metoda pro ziskani aktualni barvy z generatoru.
     * @return aktualni barva
     */
    public Color getLastColor(){
        return colors[i];
    }
}
