/*
 * ColorEpsFileFilter.java
 *
 * Created on 27. listopad 2005, 14:55
 *
 */

package gui.utils;

import gui.Localisation;
import org.jibble.epsgraphics.EpsGraphics2D;

/**
 * Trida pro vyber filtru ve FileDialogu.
 * @author Ondrej Hanousek
 */
public class ColorEpsFileFilter extends EpsFileFilter{
    
    /**
     * Popisek do listu v FileDialogu
     * @return popisek
     */
    public String getDescription() {
        return Localisation.getString("ColorEPS");
    } 
    
     /**
      * Barevny mod do epsgraphics.
      * @return konstantu z epsgraphics
      */
     public int getColorMode() {
          return  EpsGraphics2D.RGB;
    }
}
