package gui.utils;

import gui.Localisation;
import org.jibble.epsgraphics.EpsGraphics2D;


/**
 * Trida pro vyber filtru ve FileDialogu.
 */
public class GrEpsFileFilter extends EpsFileFilter {
    
    /**
     * popisek do FileDialogu
     * @return popisek
     */
    public String getDescription() {
        return Localisation.getString("GrEPS");
    }

    /**
     * Konstanta v barevnem modu podle knihovny epsgraphics
     * @return grayscale mod
     */
    public int getColorMode() {
          return  EpsGraphics2D.GRAYSCALE;
    }
}
